/*****************************************************************************

	GTK Development Environment
	
	Copyright (c) 2000 End of the World Software

	date:	December 05 2000
	author: Gertjan Zwartjes
	email:	g.zwartjes@student.tue.nl

  **************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/
#ifndef _GDE_H
#define _GDE_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <getopt.h>
#include <unistd.h>
#include <errno.h>
#include <fcntl.h>
#include <signal.h>
#include <time.h>
#include <sys/wait.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <gtk/gtk.h>


/*---------------------------------------------------------

	Constant Definitions
	
---------------------------------------------------------*/
#define GDE_VERSION 			VERSION
#define GDE_WELCOME_MESSAGE		"Welcome to Gtk Development Environment %s\n\n"

#define GDE_RECENT_MAX			8
#define GDE_RC					".gderc"

typedef struct {
	gint x;
	gint y;
	gint width;
	gint height;
	gint visible;
} GdeWindowInfo;

typedef struct {
	gchar recent_list[GDE_RECENT_MAX][255];

	gchar info_font[255];
	gchar output_font[255];
	gchar error_font[255];

	gboolean save_window_info;
	
	gboolean open_last_opened;
	gchar last_opened[255];
	
	gint recent_size;
} GdeRC;


/*----------------------------------------------------------

	Public Declarations

----------------------------------------------------------*/
void gde_write_rc(void);

extern GdeRC *gde_rc;


/*----------------------------------------------------------

	Project Includes

----------------------------------------------------------*/
#include "mainwin.h"
#include "projwin.h"
#include "aboutwin.h"
#include "statuswin.h"
#include "settingswin.h"
#include "messagewin.h"
#include "filewin.h"
#include "filelist.h"
#include "project.h"
#include "parse.h"


#endif
